#pragma once

class CPrinterEvents : public CCmdTarget
{
	DWORD					m_dwConnectionCookie;
	HANDLE					m_hEnvent;
	PXC6::IPXCPrinterPtr	m_pPrinter;
public:
	CPrinterEvents();
	~CPrinterEvents();
public:
	DECLARE_DYNAMIC(CPrinterEvents)
public:
	void Attach(HANDLE hEvent, PXC6::IPXCPrinter* pPrinter);
	void Detach();
public:
	DECLARE_MESSAGE_MAP()
	DECLARE_DISPATCH_MAP()
	DECLARE_INTERFACE_MAP()
public:
	void OnStartDoc		(long JobID, BSTR lpszDocName, BSTR lpszAppName);
	void OnStartPage	(long JobID, long nPageNumber);
	void OnEndPage		(long JobID, long nPageNumber);
	void OnEndDoc		(long JobID, long nResult);
	void OnFileSaved	(long JobID, BSTR lpszFileName);
	void OnFileSent		(long JobID, BSTR lpszFileName);
	void OnError		(long JobID, long dwErrorCode);
	void OnDocSpooled	(long JobID, BSTR lpszDocName, BSTR lpszAppName);
};
